> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nugen.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List Base Models

> Retrieve the list of available base models.


This endpoint returns all general-purpose base models available for use in chat completions, embeddings, and domain alignment workflows.


**Returns:**

- `models`: List of base model objects, each containing:
  - `id`: Unique model identifier
  - `name`: Human-readable model name
  - `type`: Model type
  - `description`: Model description and capabilities
  - `parameters`: Model parameter count
  - `capabilities`: Supported features (e.g., `chat`, `embeddings`, `vision`)
  - `context_window`: Maximum context length in tokens
  - `training_data_cutoff`: Training data cutoff date
  - `implementation_type`: Implementation type
  - `endpoint`: API endpoint
  - `alignment_ready`: Whether model can be used for alignment
  - `is_active`: Whether model is currently active
  - `num_params_in_B`: Number of parameters in billions


**Example Request:**

```json
GET /api/v3/models/base
Headers: {"Authorization": "Bearer <api_key>"}
```


**Example Response:**

```json
{
  "models": [
    {
      "id": "nugen-flash-instruct",
      "name": "Nugen Flash Instruct",
      "type": "text-generation",
      "description": "Fast instruction-following model",
      "endpoint": null,
      "alignment_ready": true,
      "is_active": true,
      "num_params_in_B": 7.0
    },
    {
      "id": "model-20240229",
      "name": "test-model",
      "type": "text-generation",
      "description": "Balanced intelligence and speed",
      "endpoint": null,
      "alignment_ready": false,
      "is_active": true,
      "num_params_in_B": 200.0
    }
  ]
}
```
**Notes:**

- Base models are pre-trained general-purpose models
- These models can be used directly or as base models for domain alignment
- Use `/models/aligned` to see your custom domain-aligned models
- `alignment_ready` indicates if the model can be used as a base for domain alignment



## OpenAPI

````yaml https://api.nugen.in/openapi-public.json get /api/v3/models/base
openapi: 3.1.0
info:
  title: Nugen Intelligence API
  description: 'Nugen Intelligence : Powering Specialized Intelligence At Scale'
  version: 25.4.20
servers: []
security: []
paths:
  /api/v3/models/base:
    get:
      tags:
        - Models
      summary: List Base Models
      description: >-
        Retrieve the list of available base models.



        This endpoint returns all general-purpose base models available for use
        in chat completions, embeddings, and domain alignment workflows.



        **Returns:**


        - `models`: List of base model objects, each containing:
          - `id`: Unique model identifier
          - `name`: Human-readable model name
          - `type`: Model type
          - `description`: Model description and capabilities
          - `parameters`: Model parameter count
          - `capabilities`: Supported features (e.g., `chat`, `embeddings`, `vision`)
          - `context_window`: Maximum context length in tokens
          - `training_data_cutoff`: Training data cutoff date
          - `implementation_type`: Implementation type
          - `endpoint`: API endpoint
          - `alignment_ready`: Whether model can be used for alignment
          - `is_active`: Whether model is currently active
          - `num_params_in_B`: Number of parameters in billions


        **Example Request:**


        ```json

        GET /api/v3/models/base

        Headers: {"Authorization": "Bearer <api_key>"}

        ```



        **Example Response:**


        ```json

        {
          "models": [
            {
              "id": "nugen-flash-instruct",
              "name": "Nugen Flash Instruct",
              "type": "text-generation",
              "description": "Fast instruction-following model",
              "endpoint": null,
              "alignment_ready": true,
              "is_active": true,
              "num_params_in_B": 7.0
            },
            {
              "id": "model-20240229",
              "name": "test-model",
              "type": "text-generation",
              "description": "Balanced intelligence and speed",
              "endpoint": null,
              "alignment_ready": false,
              "is_active": true,
              "num_params_in_B": 200.0
            }
          ]
        }

        ```

        **Notes:**


        - Base models are pre-trained general-purpose models

        - These models can be used directly or as base models for domain
        alignment

        - Use `/models/aligned` to see your custom domain-aligned models

        - `alignment_ready` indicates if the model can be used as a base for
        domain alignment
      operationId: list_base_models
      responses:
        '200':
          description: >-
            Returns a list of all available base models that can be used for
            domain alignment.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailableModels'
        '400':
          description: Bad request - invalid query parameters
          content:
            application/json:
              example:
                detail: Bad request
        '404':
          description: No base models found
          content:
            application/json:
              example:
                detail: No base models found
        '422':
          description: Validation error - invalid request parameters
          content:
            application/json:
              example:
                detail:
                  - loc:
                      - header
                      - Authorization
                    msg: field required
                    type: value_error.missing
      security:
        - HTTPBearer: []
components:
  schemas:
    AvailableModels:
      properties:
        models:
          items:
            $ref: '#/components/schemas/Model'
          type: array
          title: Models
          description: >-
            List of available base models with their specifications and
            capabilities
      type: object
      required:
        - models
      title: AvailableModels
      examples:
        - models:
            - alignment_ready: true
              capabilities:
                - chat
                - completions
              context_window: 8192
              description: Fast instruction-following model optimized for quick responses
              id: nugen-flash-instruct
              implementation_type: transformer
              is_active: true
              name: Nugen Flash Instruct
              num_params_in_B: 7
              parameters: 7B
              training_data_cutoff: '2024-01-01'
              type: text-generation
            - alignment_ready: false
              capabilities:
                - chat
                - completions
                - vision
              context_window: 32768
              description: Balanced intelligence and speed for complex tasks
              id: model-20240229
              implementation_type: transformer
              is_active: true
              name: test-model
              num_params_in_B: 200
              parameters: 200B
              training_data_cutoff: '2024-02-29'
              type: text-generation
    Model:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the model
          example:
            - nugen-flash-instruct
            - model-20240229
        name:
          type: string
          title: Name
          description: Human-readable display name of the model
          example:
            - Nugen Flash Instruct
            - test-model
        type:
          type: string
          title: Type
          description: Type/category of the model
          example:
            - text-generation
            - embedding
            - vision
        parameters:
          type: string
          title: Parameters
          description: Model parameter count or configuration details
          default: N/A
        description:
          type: string
          title: Description
          description: Detailed description of model capabilities and use cases
          example:
            - Fast instruction-following model
            - Balanced intelligence and speed
        capabilities:
          items:
            type: string
          type: array
          title: Capabilities
          description: List of supported features (e.g., chat, embeddings, vision)
          example:
            - - chat
              - completions
            - - embeddings
        training_data_cutoff:
          anyOf:
            - type: string
            - type: 'null'
          title: Training Data Cutoff
          description: Date when training data was last updated (ISO format)
          example:
            - '2024-01-01'
        context_window:
          type: integer
          title: Context Window
          description: Maximum context length in tokens (-1 if not specified)
          default: -1
          example:
            - 4096
            - 8192
            - 32768
        implementation_type:
          type: string
          title: Implementation Type
          description: Implementation framework or architecture type
          default: N/A
        endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Endpoint
          description: Custom API endpoint URL if available
        alignment_ready:
          type: boolean
          title: Alignment Ready
          description: Whether this model can be used as a base model for domain alignment
          default: false
        is_active:
          type: boolean
          title: Is Active
          description: Whether the model is currently active and available for use
          default: false
        num_params_in_B:
          type: number
          title: Num Params In B
          description: Number of model parameters in billions
          default: 0
          example:
            - 7
            - 13
            - 200
      type: object
      required:
        - id
        - name
        - type
        - description
      title: Model
      examples:
        - alignment_ready: true
          capabilities:
            - chat
            - completions
          context_window: 8192
          description: Fast instruction-following model optimized for quick responses
          id: nugen-flash-instruct
          implementation_type: transformer
          is_active: true
          name: Nugen Flash Instruct
          num_params_in_B: 7
          parameters: 7B
          training_data_cutoff: '2024-01-01'
          type: text-generation
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````